import time
import sys
import math
sys.path.append(r'C:\Users\credz\Desktop\Razor\Scripts')
import System
import common
common.Gumps = Gumps
common.Items = Items
common.Player = Player
common.Mobiles = Mobiles
#
from System.Collections.Generic import List
from System import Byte, Int32
#
#
TreeStaticID = [ 0xc95, 0xc96, 0xc99, 0xc9b, 0xc9c, 0xc9D, 0xc8a, 0xca6, 0xca8, 
0xcaa, 0xcab, 0xcc3, 0xcc4, 0xcc8, 0xcc9, 0xcca, 0xccb, 0xccc, 0xccd, 0xcd3, 0xcd1, 0xcd0, 0xcd6, 0xcd8, 
0xcda, 0xcdd, 0xce0, 0xce3, 0xce6, 0xcf8, 0xcf8, 0xcfe, 0xd01, 0xd25, 0xd27, 0xd35, 0xd37, 0xd38, 
0xd42, 0xd43, 0xd59, 0xd70, 0xd85, 0xd94, 0xd96, 0xd98, 0xd9a, 0xd9c, 0xd9e, 0xda0, 0xda2, 0xda04, 
0xda8, 0x0DAC, 0x0DAD ]
#
def ScanStaticTrees(start_x, start_y, search_area=8): 
    Misc.SendMessage("--> Initiating Tile Scan", 77)
    trees = []
    #
    for y in range(start_y, start_y+search_area+1):
        for x in range(start_x, start_x+search_area+1):
            tileinfo = Statics.GetStaticsTileInfo(x, y, Player.Map)
            #Misc.SendMessage("X:{} Y:{} tilenum: {} map{}".format( 
            #x, y, tileinfo.Count, Player.Map))
            if tileinfo.Count > 0:
                for tile in tileinfo: 
                    if tile.StaticID in TreeStaticID:
                        Misc.SendMessage('--> Tree X: %i - Y: %i - Z: %i' % (x, y, tile.StaticZ), 66)
                        tree = Tree(x, y, tile.StaticZ, tile.StaticID)
                        trees.append(tree)
   
    Misc.SendMessage('--> Total Trees: {}'.format(len(trees)), 77) 
    for tree in trees:
        Misc.SendMessage("Found tree at X:{} Y:{} Z:{} ID{}".format(tree.X, tree.Y, tree.Z, tree.ID))
    return trees

#
ScanStaticTrees(Player.Position.X, Player.Position.Y, 2)
    
